summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2020-11-19 08:04:43 +0100
committerRemi Collet <remi@remirepo.net>2020-11-19 08:04:43 +0100
commit70653612a6bde8404639d68644ab9c18a31faf4d (patch)
tree31b4eb5530e7ac292535eefa05e0fbb15f22476d
parent6f18be24001edfc20c68a8746e033cd467041c44 (diff)
update to 1.3.0HEADmaster
raise dependency on PHP 7.3 switch to phpunit9
-rw-r--r--composer.json12
-rw-r--r--php-laminas-xml.spec36
2 files changed, 25 insertions, 23 deletions
diff --git a/composer.json b/composer.json
index ae0046c..44b5fe2 100644
--- a/composer.json
+++ b/composer.json
@@ -9,7 +9,6 @@
],
"homepage": "https://laminas.dev",
"support": {
- "docs": "https://docs.laminas.dev/laminas-xml/",
"issues": "https://github.com/laminas/laminas-xml/issues",
"source": "https://github.com/laminas/laminas-xml",
"rss": "https://github.com/laminas/laminas-xml/releases.atom",
@@ -20,18 +19,15 @@
"sort-packages": true
},
"extra": {
- "branch-alias": {
- "dev-master": "1.2.x-dev",
- "dev-develop": "1.3.x-dev"
- }
},
"require": {
- "php": "^5.6 || ^7.0",
+ "php": "^7.3 || ~8.0.0",
"laminas/laminas-zendframework-bridge": "^1.0"
},
"require-dev": {
"laminas/laminas-coding-standard": "~1.0.0",
- "phpunit/phpunit": "^5.7.27 || ^6.5.8 || ^7.1.4"
+ "phpunit/phpunit": "^9.4",
+ "ext-iconv": "*"
},
"autoload": {
"psr-4": {
@@ -54,6 +50,6 @@
"test-coverage": "phpunit --colors=always --coverage-clover clover.xml"
},
"replace": {
- "zendframework/zendxml": "self.version"
+ "zendframework/zendxml": "^1.2.0"
}
}
diff --git a/php-laminas-xml.spec b/php-laminas-xml.spec
index 6cea6d6..4384aa8 100644
--- a/php-laminas-xml.spec
+++ b/php-laminas-xml.spec
@@ -7,7 +7,7 @@
# Please, preserve the changelog entries
#
%global bootstrap 0
-%global gh_commit 879cc66d1bba6a37705e98074f52a6960c220020
+%global gh_commit 844dc64557b1ad8a2e0eadb741510ba992674f99
%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner laminas
%global gh_project laminas-xml
@@ -22,8 +22,8 @@
%endif
Name: php-%{gh_project}
-Version: 1.2.0
-Release: 2%{?dist}
+Version: 1.3.0
+Release: 1%{?dist}
Summary: Laminas Framework %{library} component
License: BSD
@@ -34,7 +34,7 @@ Source1: makesrc.sh
BuildArch: noarch
# Tests
%if %{with_tests}
-BuildRequires: php(language) >= 5.6
+BuildRequires: php(language) >= 7.3
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
BuildRequires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.0 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
@@ -46,19 +46,20 @@ BuildRequires: php-simplexml
BuildRequires: php-dom
BuildRequires: php-libxml
BuildRequires: php-pcre
-BuildRequires: php-spl
# From composer, "require-dev": {
# "laminas/laminas-coding-standard": "~1.0.0",
-# "phpunit/phpunit": "^5.7.27 || ^6.5.8 || ^7.1.4"
-BuildRequires: phpunit7 >= 7.1.4
+# "phpunit/phpunit": "^9.4",
+# "ext-iconv": "*"
+BuildRequires: phpunit9 >= 9.4
+BuildRequires: php-iconv
%endif
# Autoloader
BuildRequires: php-fedora-autoloader-devel
# From composer, "require": {
-# "php": "^5.6 || ^7.0",
+# "php": "^7.3 || ~8.0.0",
# "laminas/laminas-zendframework-bridge": "^1.0"
-Requires: php(language) >= 5.6
+Requires: php(language) >= 7.3
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
Requires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.0 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
@@ -66,12 +67,11 @@ Requires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.0
%else
Requires: php-laminas-zendframework-bridge
%endif
-# From phpcompatinfo report for version 1.2.0
+# From phpcompatinfo report for version 1.3.0
Requires: php-simplexml
Requires: php-dom
Requires: php-libxml
Requires: php-pcre
-Requires: php-spl
# Autoloader
Requires: php-composer(fedora/autoloader)
@@ -79,8 +79,8 @@ Requires: php-composer(fedora/autoloader)
Obsoletes: php-ZendFramework2-%{library} < 2.5
Provides: php-ZendFramework2-%{library} = 1:%{version}
# Compatibily ensure by the bridge
-Obsoletes: php-zendframework-%{zf_name} < 1.2.0-99
-Provides: php-zendframework-%{zf_name} = %{version}-99
+Obsoletes: php-zendframework-%{zf_name} < 1.2.1
+Provides: php-zendframework-%{zf_name} = %{version}
Provides: php-composer(%{gh_owner}/%{gh_project}) = %{version}
Provides: php-composer(zendframework/%{zf_name}) = %{version}
Provides: php-autoloader(%{gh_owner}/%{gh_project}) = %{version}
@@ -133,9 +133,9 @@ EOF
: upstream test suite
ret=0
-for cmd in php php72 php73 php74; do
+for cmd in php php73 php74 php80; do
if which $cmd; then
- $cmd %{_bindir}/phpunit7 --verbose || ret=1
+ $cmd %{_bindir}/phpunit9 --verbose || ret=1
fi
done
@@ -152,6 +152,7 @@ exit $ret
%files
+# remirepo:1
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc *.md
@@ -161,6 +162,11 @@ exit $ret
%changelog
+* Thu Nov 19 2020 Remi Collet <remi@remirepo.net> - 1.3.0-1
+- update to 1.3.0
+- raise dependency on PHP 7.3
+- switch to phpunit9
+
* Fri Jan 17 2020 Remi Collet <remi@remirepo.net> - 1.2.0-2
- cleanup